from typing import Dict, Optional


class InternalHttpException(Exception):
    def __init__(self, status_code=200, body=None, headers=None):
        # type: (int, Optional[bytes], Optional[Dict[str, str]]) -> None
        self.status_code = status_code
        self.body = body
        self.headers = headers
